Subject: Re: Resetting PCI-E devices after linux boot

From: Stefan Roese <[email-masked]>
Date: Thu, 15 Apr 2010 12:59:27 +0200

Hi Ben,

On Thursday 15 April 2010 00:25:23 Benjamin Herrenschmidt wrote:
> It should be possible to get that working, but I suspect not without
> some code changes. I know the current PCIe hotswap driver has ACPI hooks
> that would need to be replaced by appropriate hooks into the powerpc
> code to perform the right resource manipulation etc...
> 
> We do PCIe hotswap on IBM pSeries, but this is using specific FW
> interfaces for which we have a dedicated PCI hotplug driver.
> 
> Can the slot power be SW controlled on the Canyonlands PCIe slot ?

No. I just checked the schematics. PCIe power supply is directly connected to 
the board power supplies.

Cheers,
Stefan